1

On January 10, 2021, I performed an apt-get upgrade, then rebooted. This broke all of my sound devices. After some research, it seems that the version of ubuntu I'm running (Ubuntu 20.04.1 LTS) is supposed to be running on kernal version 5.4. However, when I run uname -a, It says I'm running a newer version, 5.8.

I suspect my sound issues are due to the incorrect kernel being installed. How can I downgrade my kernel to 5.4 and make sure the incorrect kernel version will not be installed again?

Output of uname -a:

Linux gamebuster-Area-51-X58 5.8.0-34-generic #37~20.04.2-Ubuntu SMP Thu Dec 17 14:53:00 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

History.log:

Start-Date: 2021-01-04  06:11:18
Commandline: apt upgrade
Requested-By: gamebuster (1000)
Upgrade: whoopsie:amd64 (0.2.69ubuntu0.1, 0.2.69ubuntu0.2), gnome-system-monitor:amd64 (3.36.0-1, 3.36.1-0ubuntu0.20.04.1), libwhoopsie0:amd64 (0.2.69ubuntu0.1, 0.2.69ubuntu0.2), libinput-bin:amd64 (1.15.5-1ubuntu0.1, 1.15.5-1ubuntu0.2), libinput10:amd64 (1.15.5-1ubuntu0.1, 1.15.5-1ubuntu0.2)
End-Date: 2021-01-04  06:11:25

Start-Date: 2021-01-05  06:30:27
Commandline: /usr/bin/unattended-upgrade
Upgrade: python-apt-common:amd64 (2.0.0ubuntu0.20.04.2, 2.0.0ubuntu0.20.04.3)
End-Date: 2021-01-05  06:30:28

Start-Date: 2021-01-05  06:30:30
Commandline: /usr/bin/unattended-upgrade
Upgrade: libproxy1v5:amd64 (0.4.15-10ubuntu1.1, 0.4.15-10ubuntu1.2), libproxy1-plugin-gsettings:amd64 (0.4.15-10ubuntu1.1, 0.4.15-10ubuntu1.2), libproxy1-plugin-networkmanager:amd64 (0.4.15-10ubuntu1.1, 0.4.15-10ubuntu1.2)
End-Date: 2021-01-05  06:30:31

Start-Date: 2021-01-05  06:30:34
Commandline: /usr/bin/unattended-upgrade
Upgrade: python3-apt:amd64 (2.0.0ubuntu0.20.04.2, 2.0.0ubuntu0.20.04.3)
End-Date: 2021-01-05  06:30:34

Start-Date: 2021-01-05  06:30:37
Commandline: /usr/bin/unattended-upgrade
Upgrade: libproxy-tools:amd64 (0.4.15-10ubuntu1.1, 0.4.15-10ubuntu1.2)
End-Date: 2021-01-05  06:30:42

Start-Date: 2021-01-05  06:30:45
Commandline: /usr/bin/unattended-upgrade
Upgrade: linux-libc-dev:amd64 (5.4.0-58.64, 5.4.0-59.65)
End-Date: 2021-01-05  06:30:45

Start-Date: 2021-01-05  06:30:48
Commandline: /usr/bin/unattended-upgrade
Install: linux-modules-5.4.0-59-generic:amd64 (5.4.0-59.65, automatic), linux-image-5.4.0-59-generic:amd64 (5.4.0-59.65, automatic), linux-modules-extra-5.4.0-59-generic:amd64 (5.4.0-59.65, automatic)
Upgrade: linux-image-generic:amd64 (5.4.0.58.61, 5.4.0.59.62)
End-Date: 2021-01-05  06:31:16

Start-Date: 2021-01-05  06:31:19
Commandline: /usr/bin/unattended-upgrade
Upgrade: linux-image-generic-hwe-18.04:amd64 (5.4.0.58.61, 5.4.0.59.62)
End-Date: 2021-01-05  06:31:19

Start-Date: 2021-01-05  06:31:22
Commandline: /usr/bin/unattended-upgrade
Install: linux-headers-5.4.0-59:amd64 (5.4.0-59.65, automatic), linux-headers-5.4.0-59-generic:amd64 (5.4.0-59.65, automatic)
Upgrade: linux-headers-generic:amd64 (5.4.0.58.61, 5.4.0.59.62)
End-Date: 2021-01-05  06:31:44

Start-Date: 2021-01-06  06:12:54
Commandline: /usr/bin/unattended-upgrade
Remove: linux-modules-nvidia-455-5.4.0-56-generic:amd64 (5.4.0-56.62), linux-image-5.4.0-56-generic:amd64 (5.4.0-56.62), linux-modules-extra-5.4.0-56-generic:amd64 (5.4.0-56.62), linux-modules-5.4.0-56-generic:amd64 (5.4.0-56.62)
End-Date: 2021-01-06  06:13:08

Start-Date: 2021-01-06  06:13:13
Commandline: /usr/bin/unattended-upgrade
Remove: linux-headers-5.4.0-56-generic:amd64 (5.4.0-56.62)
End-Date: 2021-01-06  06:13:14

Start-Date: 2021-01-06  06:13:19
Commandline: /usr/bin/unattended-upgrade
Remove: linux-headers-5.4.0-56:amd64 (5.4.0-56.62)
End-Date: 2021-01-06  06:13:20

Start-Date: 2021-01-06  06:13:25
Commandline: /usr/bin/unattended-upgrade
Upgrade: p11-kit-modules:amd64 (0.23.20-1build1, 0.23.20-1ubuntu0.1), libp11-kit0:amd64 (0.23.20-1build1, 0.23.20-1ubuntu0.1), libp11-kit0:i386 (0.23.20-1build1, 0.23.20-1ubuntu0.1)
End-Date: 2021-01-06  06:13:26

Start-Date: 2021-01-06  06:13:31
Commandline: /usr/bin/unattended-upgrade
Upgrade: firefox-locale-en:amd64 (84.0+build3-0ubuntu0.20.04.1, 84.0.1+build1-0ubuntu0.20.04.1)
End-Date: 2021-01-06  06:13:31

Start-Date: 2021-01-06  06:13:36
Commandline: /usr/bin/unattended-upgrade
Upgrade: libopenexr24:amd64 (2.3.0-6ubuntu0.2, 2.3.0-6ubuntu0.3)
End-Date: 2021-01-06  06:13:36

Start-Date: 2021-01-06  06:13:41
Commandline: /usr/bin/unattended-upgrade
Upgrade: firefox:amd64 (84.0+build3-0ubuntu0.20.04.1, 84.0.1+build1-0ubuntu0.20.04.1)
End-Date: 2021-01-06  06:13:50

Start-Date: 2021-01-06  06:13:55
Commandline: /usr/bin/unattended-upgrade
Upgrade: p11-kit:amd64 (0.23.20-1build1, 0.23.20-1ubuntu0.1)
End-Date: 2021-01-06  06:14:04

Start-Date: 2021-01-07  06:40:53
Commandline: /usr/bin/unattended-upgrade
Upgrade: libwavpack1:amd64 (5.2.0-1, 5.2.0-1ubuntu0.1)
End-Date: 2021-01-07  06:40:54

Start-Date: 2021-01-08  05:08:20
Commandline: aptdaemon role='role-commit-packages' sender=':1.1206'
Install: libxcb-xfixes0:i386 (1.14-2, automatic), linux-modules-5.8.0-34-generic:amd64 (5.8.0-34.37~20.04.2, automatic), libllvm11:amd64 (1:11.0.0-2~ubuntu20.04.1, automatic), libllvm11:i386 (1:11.0.0-2~ubuntu20.04.1, automatic), linux-modules-nvidia-455-5.8.0-34-generic:amd64 (5.8.0-34.37~20.04.2, automatic), linux-image-5.8.0-34-generic:amd64 (5.8.0-34.37~20.04.2, automatic)
Upgrade: libnvidia-compute-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-compute-455:i386 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libegl1:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libnvidia-encode-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-encode-455:i386 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), nvidia-kernel-common-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), xserver-xorg-video-nvidia-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-gl-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-gl-455:i386 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libgles-dev:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libgl1:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libgl1:i386 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libasound2-data:amd64 (1.2.2-2.1ubuntu2.2, 1.2.2-2.1ubuntu2.3), libnvidia-fbc1-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-fbc1-455:i386 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-decode-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-decode-455:i386 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libglx-dev:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libopengl0:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libnvidia-cfg1-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libgles1:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libgles2:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), nvidia-utils-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libegl-dev:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libglvnd-dev:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), nvidia-compute-utils-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-ifr1-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libnvidia-ifr1-455:i386 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), nvidia-driver-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libglx0:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libglx0:i386 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), nautilus-sendto:amd64 (3.8.6-3, 3.8.6-3ubuntu0.20.04.1), linux-modules-nvidia-455-generic-hwe-20.04:amd64 (5.4.0-58.64, 5.8.0-34.37~20.04.2), libasound2:amd64 (1.2.2-2.1ubuntu2.2, 1.2.2-2.1ubuntu2.3), libgl-dev:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libnvidia-common-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), linux-firmware:amd64 (1.187.6, 1.187.7), libopengl-dev:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libnvidia-extra-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libatopology2:amd64 (1.2.2-2.1ubuntu2.2, 1.2.2-2.1ubuntu2.3), nvidia-kernel-source-455:amd64 (455.38-0ubuntu0.20.04.1, 455.45.01-0ubuntu0.20.04.1), libglvnd0:amd64 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1), libglvnd0:i386 (1.3.1-1ubuntu0.20.04.1, 1.3.2-1~ubuntu0.20.04.1)
End-Date: 2021-01-08  05:09:36

Start-Date: 2021-01-08  06:27:01
Commandline: /usr/bin/unattended-upgrade
Install: linux-headers-5.4.0-60-generic:amd64 (5.4.0-60.67, automatic), linux-headers-5.4.0-60:amd64 (5.4.0-60.67, automatic)
Upgrade: linux-headers-generic:amd64 (5.4.0.59.62, 5.4.0.60.63)
End-Date: 2021-01-08  06:27:21

Start-Date: 2021-01-08  06:27:26
Commandline: /usr/bin/unattended-upgrade
Install: linux-modules-5.4.0-60-generic:amd64 (5.4.0-60.67, automatic), linux-image-5.4.0-60-generic:amd64 (5.4.0-60.67, automatic), linux-modules-extra-5.4.0-60-generic:amd64 (5.4.0-60.67, automatic)
Upgrade: linux-image-generic:amd64 (5.4.0.59.62, 5.4.0.60.63)
End-Date: 2021-01-08  06:27:47

Start-Date: 2021-01-08  06:27:52
Commandline: /usr/bin/unattended-upgrade
Upgrade: firefox:amd64 (84.0.1+build1-0ubuntu0.20.04.1, 84.0.2+build1-0ubuntu0.20.04.1)
End-Date: 2021-01-08  06:28:00

Start-Date: 2021-01-08  06:28:05
Commandline: /usr/bin/unattended-upgrade
Upgrade: tzdata:amd64 (2020d-0ubuntu0.20.04, 2020f-0ubuntu0.20.04)
End-Date: 2021-01-08  06:28:06

Start-Date: 2021-01-08  06:28:10
Commandline: /usr/bin/unattended-upgrade
Upgrade: linux-libc-dev:amd64 (5.4.0-59.65, 5.4.0-60.67)
End-Date: 2021-01-08  06:28:11

Start-Date: 2021-01-08  06:28:16
Commandline: /usr/bin/unattended-upgrade
Upgrade: libopenjp2-7:amd64 (2.3.1-1ubuntu4, 2.3.1-1ubuntu4.20.04.1)
End-Date: 2021-01-08  06:28:16

Start-Date: 2021-01-08  06:28:21
Commandline: /usr/bin/unattended-upgrade
Upgrade: linux-image-generic-hwe-18.04:amd64 (5.4.0.59.62, 5.4.0.60.63)
End-Date: 2021-01-08  06:28:22

Start-Date: 2021-01-08  06:28:26
Commandline: /usr/bin/unattended-upgrade
Upgrade: firefox-locale-en:amd64 (84.0.1+build1-0ubuntu0.20.04.1, 84.0.2+build1-0ubuntu0.20.04.1)
End-Date: 2021-01-08  06:28:27

Start-Date: 2021-01-09  06:41:09
Commandline: /usr/bin/unattended-upgrade
Remove: linux-headers-5.4.0-59:amd64 (5.4.0-59.65), linux-headers-5.4.0-59-generic:amd64 (5.4.0-59.65)
End-Date: 2021-01-09  06:41:10

Start-Date: 2021-01-09  06:41:15
Commandline: /usr/bin/unattended-upgrade
Remove: linux-modules-5.4.0-59-generic:amd64 (5.4.0-59.65), linux-image-5.4.0-59-generic:amd64 (5.4.0-59.65), linux-modules-extra-5.4.0-59-generic:amd64 (5.4.0-59.65)
End-Date: 2021-01-09  06:41:19

Start-Date: 2021-01-10  19:24:19
Commandline: apt-get upgrade
Requested-By: gamebuster (1000)
Upgrade: libdrm-nouveau2:amd64 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), libdrm-nouveau2:i386 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), xserver-common:amd64 (2:1.20.8-2ubuntu2.6, 2:1.20.9-2ubuntu1.1~20.04.1), xserver-xorg-core:amd64 (2:1.20.8-2ubuntu2.6, 2:1.20.9-2ubuntu1.1~20.04.1), libegl1-mesa-dev:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libsignon-qt5-1:amd64 (8.59+17.10.20170606-0ubuntu2, 8.59+17.10.20170606-0ubuntu2.20.04.1), libegl-mesa0:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), update-notifier-common:amd64 (3.192.30, 3.192.30.3), libglapi-mesa:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libglapi-mesa:i386 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), mesa-common-dev:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libsignon-plugins-common1:amd64 (8.59+17.10.20170606-0ubuntu2, 8.59+17.10.20170606-0ubuntu2.20.04.1), xserver-xorg-legacy:amd64 (2:1.20.8-2ubuntu2.6, 2:1.20.9-2ubuntu1.1~20.04.1), libxatracker2:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libgbm1:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), xserver-xephyr:amd64 (2:1.20.8-2ubuntu2.6, 2:1.20.9-2ubuntu1.1~20.04.1), libdrm-amdgpu1:amd64 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), libdrm-amdgpu1:i386 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), xwayland:amd64 (2:1.20.8-2ubuntu2.6, 2:1.20.9-2ubuntu1.1~20.04.1), libdrm2:amd64 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), libdrm2:i386 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), libgl1-mesa-dev:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libgl1-mesa-dri:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libgl1-mesa-dri:i386 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libgl1-mesa-glx:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libdrm-intel1:amd64 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), libdrm-intel1:i386 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), libdrm-radeon1:amd64 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), libdrm-radeon1:i386 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), mesa-vdpau-drivers:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), mesa-vulkan-drivers:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), mesa-vulkan-drivers:i386 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libdrm-dev:amd64 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1), update-notifier:amd64 (3.192.30, 3.192.30.3), mesa-va-drivers:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libglx-mesa0:amd64 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libglx-mesa0:i386 (20.0.8-0ubuntu1~20.04.1, 20.2.6-0ubuntu0.20.04.1), libdrm-common:amd64 (2.4.101-2, 2.4.102-1ubuntu1~20.04.1)
End-Date: 2021-01-10  19:24:38

Start-Date: 2021-01-10  19:50:08
Commandline: apt install inxi
Requested-By: gamebuster (1000)
Install: inxi:amd64 (3.0.38-1-0ubuntu1), mesa-utils:amd64 (8.4.0-1build1, automatic), hddtemp:amd64 (0.3-beta15-53, automatic), tree:amd64 (1.8.0-1, automatic)
End-Date: 2021-01-10  19:50:17

Start-Date: 2021-01-10  19:56:42
Commandline: apt purge alsa-base pulseaudio
Requested-By: gamebuster (1000)
Purge: alsa-base:amd64 (1.0.25+dfsg-0ubuntu5), ubuntu-desktop-minimal:amd64 (1.450.2), pulseaudio:amd64 (1:13.99.1-1ubuntu3.8), ubuntu-desktop:amd64 (1.450.2), libcanberra-pulse:amd64 (0.30-7ubuntu1), pulseaudio-module-bluetooth:amd64 (1:13.99.1-1ubuntu3.8)
End-Date: 2021-01-10  19:56:50

Start-Date: 2021-01-10  19:57:23
Commandline: apt install ubuntu-gnome-desktop
Requested-By: gamebuster (1000)
Install: alsa-base:amd64 (1.0.25+dfsg-0ubuntu5, automatic), ubuntu-desktop-minimal:amd64 (1.450.2, automatic), gnome-session:amd64 (3.36.0-2ubuntu1, automatic), adwaita-icon-theme-full:amd64 (3.36.1-2ubuntu0.20.04.2, automatic), pulseaudio:amd64 (1:13.99.1-1ubuntu3.8, automatic), fonts-cantarell:amd64 (0.111-2, automatic), ubuntu-desktop:amd64 (1.450.2, automatic), ubuntu-gnome-desktop:amd64 (0.87), pulseaudio-module-bluetooth:amd64 (1:13.99.1-1ubuntu3.8, automatic)
End-Date: 2021-01-10  19:57:33

Start-Date: 2021-01-10  20:17:12
Commandline: aptdaemon role='role-commit-packages' sender=':1.118'
Install: libnvidia-compute-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-compute-460:i386 (460.32.03-0ubuntu0.20.04.1, automatic), linux-modules-nvidia-460-generic-hwe-20.04:amd64 (5.8.0-36.40~20.04.1, automatic), libnvidia-encode-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-encode-460:i386 (460.32.03-0ubuntu0.20.04.1, automatic), nvidia-kernel-common-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), xserver-xorg-video-nvidia-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-gl-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-gl-460:i386 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-fbc1-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-fbc1-460:i386 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-decode-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-decode-460:i386 (460.32.03-0ubuntu0.20.04.1, automatic), linux-modules-5.8.0-36-generic:amd64 (5.8.0-36.40~20.04.1, automatic), libnvidia-cfg1-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), nvidia-utils-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), nvidia-dkms-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), linux-modules-nvidia-460-5.8.0-36-generic:amd64 (5.8.0-36.40~20.04.1, automatic), nvidia-compute-utils-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), linux-image-5.8.0-36-generic:amd64 (5.8.0-36.40~20.04.1, automatic), libnvidia-ifr1-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-ifr1-460:i386 (460.32.03-0ubuntu0.20.04.1, automatic), nvidia-driver-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-common-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), libnvidia-extra-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic), nvidia-kernel-source-460:amd64 (460.32.03-0ubuntu0.20.04.1, automatic)
Upgrade: libnvidia-compute-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-compute-455:i386 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-encode-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-encode-455:i386 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), nvidia-kernel-common-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), xserver-xorg-video-nvidia-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-gl-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-gl-455:i386 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-fbc1-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-fbc1-455:i386 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-decode-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-decode-455:i386 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-cfg1-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), nvidia-utils-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), nvidia-compute-utils-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-ifr1-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-ifr1-455:i386 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), nvidia-driver-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), linux-modules-nvidia-455-generic-hwe-20.04:amd64 (5.8.0-34.37~20.04.2, 5.8.0-36.40~20.04.1), libnvidia-common-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), libnvidia-extra-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1), nvidia-kernel-source-455:amd64 (455.45.01-0ubuntu0.20.04.1, 460.32.03-0ubuntu0.20.04.1)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2021-01-10  20:17:51

Start-Date: 2021-01-10  20:18:47
Commandline: aptdaemon role='role-commit-packages' sender=':1.118'
Remove: nvidia-kernel-common-455:amd64 (460.32.03-0ubuntu0.20.04.1)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2021-01-10  20:18:53

Start-Date: 2021-01-10  20:34:07
Commandline: apt-get purge linux-image-5.8.0-34-generic
Requested-By: gamebuster (1000)
Install: linux-image-unsigned-5.8.0-34-generic:amd64 (5.8.0-34.37~20.04.2, automatic)
Purge: linux-modules-nvidia-455-5.8.0-34-generic:amd64 (5.8.0-34.37~20.04.2), linux-image-5.8.0-34-generic:amd64 (5.8.0-34.37~20.04.2)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2021-01-10  20:34:49

Start-Date: 2021-01-11  06:51:50
Commandline: /usr/bin/unattended-upgrade
Remove: linux-headers-5.4.0-58-generic:amd64 (5.4.0-58.64)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2021-01-11  06:51:56

Output of dpkg -l | grep hw

gamebuster@gamebuster-Area-51-X58:~/Desktop$ dpkg -l | grep hw
ii  linux-image-generic-hwe-18.04                               5.4.0.60.63                           amd64        Generic Linux kernel image (dummy transitional package)
ii  linux-modules-nvidia-455-generic-hwe-20.04                  5.8.0-36.40~20.04.1                   amd64        Extra drivers for nvidia-455 for the generic flavour (dummy transitional package)
ii  linux-modules-nvidia-460-generic-hwe-20.04                  5.8.0-36.40~20.04.1                   amd64        Extra drivers for nvidia-460 for generic-hwe-20.04
ii  lshw

Output of grep -r deb /etc/apt/sources.list /etc/apt/sources.list.d is here because the output is too large.

2
  • dpkg -l | grep hwplease and grep -r deb /etc/apt/sources.list /etc/apt/sources.list.d – nobody Jan 12 at 12:08
  • @nobody The information requested has been added to the question. – Gamebuster19901 Jan 12 at 14:41
1

This 2 packages

ii  linux-modules-nvidia-455-generic-hwe-20.04                  5.8.0-36.40~20.04.1                   amd64        Extra drivers for nvidia-455 for the generic flavour (dummy transitional package)
ii  linux-modules-nvidia-460-generic-hwe-20.04                  5.8.0-36.40~20.04.1        

brought kernel branch 5.8 on your system.

Boot in Kernel 5.4.xxx

and remove any nvidia packages.

dpkg -l | egrep linux-'[g|h|i|m]'

shows you wich kernel related packages are on your system. Remove any packages that points to kernel branch 5.8.

after that you can install nvidia over ubuntu-drivers

1
  • About an hour before you posted this answer, the system would not boot anymore. I don't have access to the hardware at the moment. I'll see if I can get it to boot via an external usb, and try out your answer when I regain access. – Gamebuster19901 Jan 14 at 3:21

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.